forked from jasonacox/Powerwall-Dashboard
-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
Local telegraf grafana user env. upgrade untested.
- Loading branch information
1 parent
bcd5557
commit 4e799f8
Showing
10 changed files
with
121 additions
and
38 deletions.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -1 +1 @@ | ||
2.6.4 | ||
2.6.5 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,36 @@ | ||
#!/bin/bash | ||
# | ||
# Convenience script for docker-compose | ||
# Enables | ||
# - docker-compose and docker compose (v1, v2) | ||
# - moves multiple versions of unweildy compose invocation to one place | ||
# - very convenient for starting and stopping containers when developing. | ||
# Takes up to two arguments, typicallly "up -d", "start", and "stop" | ||
# Always verifies docker and docker-compose, as it is run infrequently. | ||
# by Jason Cox - 21 Jan 2022 | ||
|
||
# Stop on Errors | ||
set -e | ||
|
||
# Docker Dependency Check | ||
if ! docker info > /dev/null 2>&1; then | ||
echo "ERROR: docker is not available or not runnning." | ||
echo "This script requires docker, please install and try again." | ||
exit 1 | ||
fi | ||
|
||
echo "Running Docker Compose..." | ||
if docker-compose version > /dev/null 2>&1; then | ||
# Build Docker (v1) | ||
docker-compose --env-file ./compose.env -f powerwall.yml $1 $2 | ||
else | ||
if docker compose version > /dev/null 2>&1; then | ||
# Build Docker (v2) | ||
docker compose --env-file ./compose.env -f powerwall.yml $1 $2 | ||
else | ||
echo "ERROR: docker-compose/docker compose is not available or not runnning." | ||
echo "This script requires docker-compose or docker compose." | ||
echo "Please install and try again." | ||
exit 1 | ||
fi | ||
fi |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,6 @@ | ||
# Environment variables for docker compose. | ||
# | ||
# GRAFANAUSER - may need to be adjusted for cases such as rootless docker. | ||
# See issue #22, | ||
# https://github.com/jasonacox/Powerwall-Dashboard/issues/22#issuecomment-1253076441) | ||
GRAFANAUSER="1000:1000" |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,21 @@ | ||
# Sample file for local telegraf configurations. | ||
# Most users will not need to use this, but it can be used for development | ||
# or monitoring non standard measurement data. | ||
# | ||
# The local configuration file should be named "telegraf.local". | ||
# Upgrade.sh does not modify this file. | ||
# | ||
# The following sample adds some power and energy data from the solar meter | ||
# as a measurement called "solarmeter" (used in a three phase monitoring example) | ||
|
||
#[[inputs.http]] | ||
# urls = [ | ||
# "http://pypowerwall:8675/api/meters/solar" | ||
# ] | ||
# name_override = "solarmeter" | ||
# method = "GET" | ||
# insecure_skip_verify = true | ||
# timeout = "4s" | ||
# data_format = "json" | ||
# json_query = "0.Cached_readings" | ||
# fieldpass = ["instant_power", "real_power_?", "energy_??ported"] |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters